Dialpad + Salesforce1 FAQs

What version of the Dialpad for Salesforce app do I need?

To access the integration, make sure you've upgraded your Dialpad for Salesforce app to v1.4.1 from the AppExchange. 
 

Does this work if you just tap a phone number in the Salesforce1 app?

No, the only way to launch the Dialpad app from Salesforce1 is via the Quick Action menu.

 

Does this impact call logging in any way?

No, this update does not impact call logging, everything will be logged the same as previously.

 

I’ve followed all these steps, but when I tap Dialpad Call, I get an error ‘insufficient privileges’. What’s wrong?

Sounds like you may not have the correct permissions set. To fix this, follow these instructions:

  • Use Quick Find to search for Permission Sets in the Users section.
  • Click on DialpadForSalesforcePermissionSet-StandardUser
  • Click Manage Assignments > Add Assignments
  • Select the users you’d like to have access
  • Click Assign to save these changes